Delete issue state

DELETE
/api/v1/issue-states/{stateId}

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

stateId*string

Request body

application/json
  1. body
moveTo?string

The state the deleted state's issues move to; needed while any issue uses it.

Response body

IssueStateList

application/json
  1. response
items*array<>
curl -X DELETE 'https://api.capy.ai/api/v1/issue-states/string' \  -H 'Content-Type: application/json' \  -d '{}'
{  "items": [    {      "id": "string",      "name": "string",      "type": "open",      "icon": "dashed",      "color": "gray",      "isDefault": true    }  ]}
Open in Capy